- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# xapian/queryparser.h File Reference

parsing a user query string to build a Xapian::Query object More...

## Namespaces
namespace | Xapian
## Classes
class | Xapian::Stopper
| Base class for stop-word decision functor. More...
class | Xapian::SimpleStopper
| Simple implementation of Stopper class - this will suit most users. More...
struct | Xapian::ValueRangeProcessor
| Base class for value range processors. More...
class | Xapian::StringValueRangeProcessor
| Handle a string range. More...
class | Xapian::DateValueRangeProcessor
| Handle a date range. More...
class | Xapian::NumberValueRangeProcessor
| Handle a number range. More...
class | Xapian::QueryParser
| Build a Xapian::Query object from a user query string. More...
## Functions
std::string | Xapian::sortable_serialise (double value)
| Convert a floating point number to a string, preserving sort order.
double | Xapian::sortable_unserialise (const std::string &value)
| Convert a string encoded using sortable_serialise back to a floating point number.

## Detailed Description

parsing a user query string to build a Xapian::Query object